ripleycpp.cpp File Reference
`#include <ripley/AbstractAssembler.h>`
`#include <ripley/Brick.h>`
`#include <ripley/MultiBrick.h>`
`#include <ripley/MultiRectangle.h>`
`#include <ripley/Rectangle.h>`
`#include <escript/ExceptionTranslators.h>`
`#include <escript/SubWorld.h>`
`#include <boost/python.hpp>`
`#include <boost/python/module.hpp>`
`#include <boost/python/def.hpp>`
`#include <boost/python/detail/defaults_gen.hpp>`
`#include <boost/version.hpp>`

## Namespaces

| ripley

## Functions

template<typename T >
std::vector< T > | ripley::extractPyArray (const object &obj, const std::string &name, int expectedLength=0)
escript::Data | ripley::readBinaryGrid (std::string filename, escript::FunctionSpace fs, const object &pyShape, double fill, int byteOrder, int dataType, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
escript::Data | ripley::readBinaryGridFromZipped (std::string filename, escript::FunctionSpace fs, const object &pyShape, double fill, int byteOrder, int dataType, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
escript::Data | ripley::readNcGrid (std::string filename, std::string varname, escript::FunctionSpace fs, const object &pyShape, double fill, const object &pyFirst, const object &pyNum, const object &pyMultiplier, const object &pyReverse)
void | ripley::setDecompositionPolicy (int policy)
escript::Domain_ptr | ripley::_brick (double _n0, double _n1, double _n2, const object &l0, const object &l1, const object &l2, int d0, int d1, int d2, const object &objpoints, const object &objtags, escript::SubWorld_ptr world)
escript::Domain_ptr | ripley::_multibrick (double _n0, double _n1, double _n2, const object &l0, const object &l1, const object &l2, int d0, int d1, int d2, const object &objpoints, const object &objtags, escript::SubWorld_ptr world, unsigned int multiplier)
escript::Domain_ptr | ripley::_multirectangle (double _n0, double _n1, const object &l0, const object &l1, int d0, int d1, const object &objpoints, const object &objtags, escript::SubWorld_ptr world, unsigned int multiplier)
escript::Domain_ptr | ripley::_rectangle (double _n0, double _n1, const object &l0, const object &l1, int d0, int d1, const object &objpoints, const object &objtags, escript::SubWorld_ptr world)
| BOOST_PYTHON_MODULE (ripleycpp)

## Function Documentation

## BOOST_PYTHON_MODULE()

BOOST_PYTHON_MODULE | ( | ripleycpp |  | ) |

References ripley::_brick(), ripley::_multibrick(), ripley::_multirectangle(), ripley::_rectangle(), ripley::RipleyDomain::addPDEToTransportProblemFromPython(), ripley::RipleyDomain::addToRHSFromPython(), ripley::RipleyDomain::addToSystemFromPython(), ripley::BYTEORDER_BIG_ENDIAN, ripley::BYTEORDER_LITTLE_ENDIAN, ripley::BYTEORDER_NATIVE, ripley::RipleyDomain::createAssemblerFromPython(), ripley::DATATYPE_FLOAT32, ripley::DATATYPE_FLOAT64, ripley::DATATYPE_INT32, ripley::DECOMP_ADD_ELEMENTS, ripley::DECOMP_EXPAND, ripley::DECOMP_STRICT, ripley::RipleyDomain::dump(), ripley::RipleyDomain::getDataShape(), ripley::RipleyDomain::getDescription(), ripley::RipleyDomain::getDim(), ripley::RipleyDomain::getGridParameters(), ripley::RipleyDomain::getMPIRank(), ripley::RipleyDomain::getMPISize(), ripley::RipleyDomain::getNormal(), ripley::RipleyDomain::getNumDataPointsGlobal(), ripley::RipleyDomain::getSize(), ripley::RipleyDomain::getSystemMatrixTypeId(), ripley::RipleyDomain::getTag(), ripley::RipleyDomain::getTransportTypeId(), ripley::RipleyDomain::getX(), ripley::RipleyDomain::isValidTagName(), ripley::RipleyDomain::MPIBarrier(), ripley::RipleyDomain::newSystemMatrix(), ripley::RipleyDomain::newTransportProblem(), ripley::RipleyDomain::onMasterProcessor(), ripley::RipleyDomain::Print_Mesh_Info(), ripley::readBinaryGrid(), ripley::readBinaryGridFromZipped(), ripley::readNcGrid(), REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS, escript::RuntimeErrorTranslator(), ripley::setDecompositionPolicy(), ripley::RipleyDomain::setTagMap(), ripley::RipleyDomain::showTagNames(), and ripley::RipleyDomain::writeBinaryGrid().